Skip to content

SSH (Template) ​

2 operations. Call any of them with omada_call_operation (or, in full tool mode, as a tool named by its operationId).

OperationMethodSummary
getSshSettingTemplateGETGet SSH template setting
updateSshSettingTemplatePUTModify SSH template setting

getSshSettingTemplate ​

GET /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/ssh

Get SSH template setting

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteTemplateIdpathstringyesSite Template ID
json
// omada_call_operation
{
  "operationId": "getSshSettingTemplate",
  "params": {
    "siteTemplateId": "<siteTemplateId>"
  }
}
Details, permissions and error codes

Get SSH template setting
The interface requires one of the permissions:
Global Site Template Manager View Only

updateSshSettingTemplate ​

PUT /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/ssh

Modify SSH template setting

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteTemplateIdpathstringyesSite Template ID

Request body — application/json (required) — schema SSHSetting

FieldTypeRequiredDescription
sshEnablebooleanyesWhether to enable SSH
sshServerPortintegernoSSH server port should be 22 or within the range of 1025-65535.
layer3AccessbooleannoWhether to enable layer 3 accessibility
json
// omada_call_operation
{
  "operationId": "updateSshSettingTemplate",
  "params": {
    "siteTemplateId": "<siteTemplateId>"
  },
  "body": "{...}"
}
Details, permissions and error codes

Modify SSH template setting
The interface requires one of the permissions:
Global Site Template Manager Modify

Released under the MIT License. Not affiliated with or endorsed by TP-Link.